Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| WebLogic Integration
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.util
Class ThrowableContainer

    java.lang.Object
      |
      +--com.bea.util.ThrowableContainer

public class ThrowableContainer
extends java.lang.Object
implements java.io.Serializable

Provides a container to manage Throwables.

Author:
  Copyright © 2000, 2001 BEA Systems, Inc. All Rights Reserved.
See Also:
  Serialized Form

Constructor Summary
`ThrowableContainer(java.lang.String throwableType)` Construct a ThrowableContainer of the specified type

Method Summary
`void` | `addThrowable(java.lang.Throwable e)` Add a Throwable to the container.
`boolean` | `containsThrowable(java.lang.Throwable e)` Determine if a Throwable is in the container.
`java.lang.Throwable` | `getLinkedThrowable()` Get linkedThrowable.
`java.util.Iterator` | `getThrowables()` Get throwable iterator.
`static void` | `indentStackTrace(java.lang.String stackTrace, java.io.PrintWriter pw, int nest)` Indent and output stack trace to PrintWriter.
`void` | `printStackTrace()` Print Stack trace to System.err.
`void` | `printStackTrace(java.io.PrintStream ps)` Print Stack trace to PrintStream.
`void` | `printStackTrace(java.io.PrintWriter pw)` Print Stack trace to PrintWriter.
`protected void` | `printStackTrace(java.io.PrintWriter pw, int nest)`
`boolean` | `removeThrowable(java.lang.Throwable e)` Removes a Throwable from the container.
`java.lang.String` | `toString()` Get Throwables as string.
`java.lang.String` | `toString(int nest)` Get Throwables as string.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ThrowableContainer

    public ThrowableContainer(java.lang.String throwableType)

  Construct a ThrowableContainer of the specified type

  Parameters:
    `throwableType` - - User defined type

Method Detail

### addThrowable

    public void addThrowable(java.lang.Throwable e)

  Add a Throwable to the container.

  Parameters:
    `e` - - the Throwable.

### removeThrowable

    public boolean removeThrowable(java.lang.Throwable e)

  Removes a Throwable from the container.

  Parameters:
    `e` - - the Throwable.

### containsThrowable

    public boolean containsThrowable(java.lang.Throwable e)

  Determine if a Throwable is in the container.

  Parameters:
    `e` - - the Throwable.

### getThrowables

    public java.util.Iterator getThrowables()

  Get throwable iterator.

### getLinkedThrowable

    public java.lang.Throwable getLinkedThrowable()

  Get linkedThrowable.

### toString

    public java.lang.String toString()

  Get Throwables as string.

  Overrides:
    toString in class java.lang.Object

### toString

    public java.lang.String toString(int nest)

  Get Throwables as string.

  Parameters:
    `nest` - - indent level.

### printStackTrace

    public void printStackTrace()

  Print Stack trace to System.err.

### printStackTrace

    public void printStackTrace(java.io.PrintStream ps)

  Print Stack trace to PrintStream.

  Parameters:
    `ps` - - the PrintStream.

### printStackTrace

    public void printStackTrace(java.io.PrintWriter pw)

  Print Stack trace to PrintWriter.

  Parameters:
    `pw` - - the PrintWriter.

### printStackTrace

    protected void printStackTrace(java.io.PrintWriter pw,
                                   int nest)

### indentStackTrace

    public static void indentStackTrace(java.lang.String stackTrace,
                                        java.io.PrintWriter pw,
                                        int nest)

  Indent and output stack trace to PrintWriter.

  Parameters:
    `stackTrace` - - the stack trace.
    `pw` - - the PrintWriter.
    `nest` - - indent level.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| WebLogic Integration
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Integration (WLI)